Installer - Bug #25740

Upgrade step drop_apache_foreman_group failed.
12/20/2018 12:01 PM - Evgeni Golov

Status: Closed
Priority: High
Assignee: Ewoud Kohl van Wijngaarden
Category: foreman-installer script
Target version: 1.21.0
Difficulty: Fixed in Releases: 1.21.0
Triaged: No Found in Releases: 1.21.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/308,
https://github.com/theforeman/foreman-i
nstaller/pull/309

Description
On latest nightly, when running foreman-installer --upgrade | get:

Upgrade Step: drop_apache_foreman_group...

Removing user apache from group foreman

gpasswd: user 'apache' is not a member of 'foreman'

gpasswd -d apache foreman failed! Check the output for error!

Upgrade step drop_apache_foreman_group failed. Check logs for more information.

This step was added in https://github.com/Katello/katello-installer/commit/7e2b81d6e12ecf9e0c4biebda0895001a2a9d211 and
seems not to work when the Apache user isn't member of the Foreman group to begin with.

Associated revisions

Revision 9b58a70d - 12/27/2018 04:14 PM - Ewoud Kohl van Wijngaarden

Fixes #25740 - Ensure a user is a member when removing

When a user is not part of a group, the removal fails. Because this is
the desired end state, the upgrade should not fail on that.

Revision 716c9ccd - 12/27/2018 05:49 PM - Ewoud Kohl van Wijngaarden

Fixes #25740 - Use strings for user and group

History

#1 - 12/25/2018 12:27 PM - Ewoud Kohl van Wijngaarden
- Project changed from Katello to Installer

- Category changed from Installer to foreman-installer script
- Target version set to 1.21.0

- Fixed in Releases 1.21.0 added

- Found in Releases 1.21.0 added

#2 - 12/27/2018 04:15 PM - Anonymous
- Pull request https://github.com/theforeman/foreman-installer/pull/308 added

#3 - 12/27/2018 04:23 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

#4 - 12/27/2018 05:01 PM - Ewoud Kohl van Wijngaarden
https://github.com/Katello/katello-installer/commit/7e2b81d6e12ecf9e0c4b1ebda0895001a2a9d211

- Status changed from Ready For Testing to Closed

Applied in changeset 9b58a70ddaee77d483d67695029344c65280bce0.

#5 - 12/27/2018 05:07 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/309 added
